> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeplo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# POST Verify Payment

> Verify a completed payment.

## Verify Stripe payment

`POST /api/payment/verify/stripe`

Verify a payment after the user completes it on the gateway.

### Headers

**Cookie** `string` *required*

Session cookie (login via POST /api/auth/login)

### Body parameters

**sessionId** `string` *required*

Stripe checkout session ID.

```json theme={null}
{
  "sessionId": "cs_abc123..."
}
```

```bash cURL theme={null}
curl -X POST https://zeplo.ai/api/payment/verify/stripe \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
  -H "Content-Type: application/json" \
  -d '{ "sessionId": "cs_abc123..." }'
```

***

## Verify Razorpay payment

`POST /api/payment/verify/razorpay`

### Body parameters

**razorpayOrderId** `string` *required*

Razorpay order ID.

**razorpayPaymentId** `string` *required*

Razorpay payment ID.

**razorpaySignature** `string` *required*

Razorpay signature for verification.

```json theme={null}
{
  "razorpayOrderId": "order_abc123",
  "razorpayPaymentId": "pay_xyz789",
  "razorpaySignature": "abc123def456..."
}
```

***

## Verify PayPal payment

`POST /api/payment/verify/paypal`

### Body parameters

**orderId** `string` *required*

PayPal order ID.

```json theme={null}
{
  "orderId": "PAYID-ABC123..."
}
```

***

## Verify Paystack payment

`POST /api/payment/verify/paystack`

### Body parameters

**reference** `string` *required*

Paystack payment reference.

```json theme={null}
{
  "reference": "ref_abc123..."
}
```

***

## Verify Mercado Pago payment

`POST /api/payment/verify/mercadopago`

### Body parameters

**paymentId** `string` *required*

Mercado Pago payment ID.

```json theme={null}
{
  "paymentId": "1234567890"
}
```

```json Response theme={null}
{
  "success": true,
  "message": "Payment verified successfully",
  "data": {
    "transactionId": "txn_abc123",
    "status": "completed",
    "planId": 2,
    "amount": 29.99,
    "currency": "USD"
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.